<?php // $Id: iInsertDrawerAuthor.php,v 1.1 2005/10/27 10:15:44 geothms Exp geothms $
session_start();
$pTipoUtilizador = $_SESSION['tipoUtilizador'];
if ($pTipoUtilizador=="anonymous" || $pTipoUtilizador=="regular") { // separa por tipo de utilizador
  require('headersubUsers.inc');
  require('menusubUsers.inc');
  echo "<meta http-equiv='refresh' content='0; url=../users.php' />";
  exit;  // os anonimos não têem acesso a esta página
}
else {
  require('headersubAdmins.inc');
  require('menusubAdmins.inc');
}
?>

<meta http-equiv="refresh" content="2; url=../forms.php" />




<center>
<h3 class="maketitle">Geometric theorems - Insert a Drawers Author</h3>
</center>

<hr/>

<?php 
require('loginsub.php'); 
?> 

<?php 

// Esta é a informação necessária para fazer a introdução
$pDrawerId       = $_POST['DrawerId']; 
$pAuthorInfo     = $_POST['IdNameEmail']; 
// Esta é a informação que tem de ser devolvida ao "insertDrawerAuthor
$pName           = $_POST['Name'];
$pVersion        = $_POST['Version'];
$pDescription    = $_POST['Description'];
$pURL            = $_POST['URL'];
$pEmail          = $_POST['Email'];
$pDateSubmission = $_POST['DateSubmission'];


preg_match("§([0-9]+) --§",$pAuthorInfo,$matches); 

$pAuthorId = $matches[1];  

// Formata os valores para posterior inserção na Tabela
if (!get_magic_quotes_gpc()) 
  { $pAuthorId = addslashes('$pAuthorId'); 
    $pDrawerId = addslashes('$pDrawerId'); 
  }

$sqlInsertAuthorDrawer = 
     "INSERT INTO authordrawer
       (authorId,drawerId)
      VALUES 
       ('$pAuthorId','$pDrawerId')";


$resultadoInsertAuthorDrawer = mysql_query($sqlInsertAuthorDrawer,$ligacao);

if ($resultadoInsertAuthorDrawer) {
  echo "<table width='100%' bgcolor='white' cellpadding='4' cellspacing='4'>";
  echo "<tr>";
  echo "<td  width='100%' align='left'><span class='ficha'>New Author Inserted.</span></td>";  
  echo "</tr>";
  // em qualquer dos casos a informação recebida é enviada de volta 
  // num formulário escondido
  echo "<form enctype='multipart/form-data' action='insertDrawerAuthor.php' method='post'>";
  // A informação referente ao "Drawer" tem de ser passada como escondida.
  echo "<input type='hidden' name='DrawerId' value='$pDrawerId'>";
  echo "<input type='hidden' name='Name' value='$pName'>";
  echo "<input type='hidden' name='Version' value='$pVersion'>";
  echo "<input type='hidden' name='Description' value='$pDescription'>";
  echo "<input type='hidden' name='URL' value='$pURL'>";
  echo "<input type='hidden' name='Email' value='$pEmail'>";
  echo "<input type='hidden' name='DateSubmission' value='$pDateSubmission'>";
  echo "<tr>";
  echo "<td width='100%' align='center'><input type='submit' value='&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Submit New Author info &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'></td>";
  echo "</tr>  ";
  // Ou então acaba o processo de inserção de novos autores e volta para
  // a página dos formulários
  echo "<tr>";
  echo "<td width='100%' align='right'><a href='../forms.php'>No more Authors to introduce -- Return to the forms page</a></td>";
  echo "</tr>";
  echo "</form>";
  echo "</table>";
 }
 else {
   echo 'Error - Author not inserted!';
   echo '<meta http-equiv="refresh" content="2; url=insertDrawerAuthor.php" />';
 }
?>

<hr/>

<p>&nbsp;</p>

<?php
  require('footer.inc');
?>
